/*
 * Hal_Wdg.h
 *
 *  Created on: 2022Äê3ÔÂ14ÈÕ
 *      Author: Zhengchao
 */

#ifndef HAL_WDG_H_
#define HAL_WDG_H_


#include "Hal_Var.h"
#include "FreeRTOS.h"
#include "timers.h"
#include "Wdg_43_Instance0.h"





void vTimer1msCallback(TimerHandle_t pxTimer);

boolean HAL_Is1msTickTimeout(void);
boolean HAL_Is100msTickTimeout(void);
/* get timer tick cnt for random seed. */
uint32 HAL_GetTimerTickCnt(void);
void WATCHDOG_HAL_Feed(void);
void DoResetECU(void);
void WdgInit(void);
#endif /* HAL_WDG_H_ */
